ThreadPoolMX (Tomcat API Documentation)
Keywords: org.apache.tomcat.util.threads.ThreadPoolMX class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.threads
Class ThreadPoolMX

    java.lang.Object
      org.apache.tomcat.util.threads.ThreadPool
          org.apache.tomcat.util.threads.ThreadPoolMX

Deprecated. This was an attempt to introduce a JMX dependency. A better solution was the ThreadPoolListener - which is more powerfull and provides the same features. The class is here for backward compatibility, all the methods are in super().

public class ThreadPoolMX
extends ThreadPool

Manageable thread pool.

Author:
  Costin Manolache

Nested Class Summary

Nested classes inherited from class org.apache.tomcat.util.threads.ThreadPool
`ThreadPool.ControlRunnable, ThreadPool.MonitorRunnable, ThreadPool.ThreadPoolListener`

Field Summary
`protected java.lang.String` | `domain` Deprecated.
`protected java.lang.String` | `name` Deprecated.

Fields inherited from class org.apache.tomcat.util.threads.ThreadPool
`currentThreadCount, currentThreadsBusy, isDaemon, listeners, MAX_SPARE_THREADS, MAX_THREADS, MAX_THREADS_MIN, maxSpareThreads, maxThreads, MIN_SPARE_THREADS, minSpareThreads, monitor, pool, sequence, stopThePool, threads, WORK_WAIT_TIMEOUT`

Constructor Summary
`ThreadPoolMX()` Deprecated.

Methods inherited from class org.apache.tomcat.util.threads.ThreadPool
`addThread, addThreadPoolListener, adjustLimits, checkSpareControllers, createThreadPool, getCurrentThreadCount, getCurrentThreadsBusy, getDaemon, getDebug, getMaxSpareThreads, getMaxThreads, getMinSpareThreads, getMonitor, getName, getSequence, getThreadParam, getThreads, getThreadStatus, isDaemon, notifyThreadEnd, openThreads, removeThread, returnController, run, runIt, setDaemon, setMaxSpareThreads, setMaxThreads, setMinSpareThreads, setName, shutdown, start, threadStatusString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### domain

    protected java.lang.String domain

  Deprecated.

### name

    protected java.lang.String name

  Deprecated.

Constructor Detail

### ThreadPoolMX

    public ThreadPoolMX()

  Deprecated.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.